WSNotification::Types::BaseFaultType(3)

NAME
WSNotification::Types::BaseFaultType

DESCRIPTION
Perl data type class for the XML Schema defined complexType BaseFaultType from the namespace http://docs.oasis-open.org/wsrf/bf-2.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Timestamp

•   Originator

•   ErrorCode

•   Description

•   FaultCause

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # WSNotification::Types::BaseFaultType
   Timestamp =>  $some_value, # dateTime
   Originator =>  { # WSNotification::Types::EndpointReferenceType
     Address =>  { value => $some_value },
     ReferenceParameters =>  { # WSNotification::Types::ReferenceParametersType
     },
     Metadata =>  { # WSNotification::Types::MetadataType
     },
   },
   ErrorCode =>
 # No documentation generated for complexContent / extension yet
,
   Description =>  { value => $some_value },
   FaultCause =>  {
   },
 },

AUTHOR
Generated by SOAP::WSDL